"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
function ResultFavoritesButton(props) {
    const { item, price } = props;
    const { getAddToFavoritesButtonProps } = (0, react_1.useContext)(context_1.default);
    if (getAddToFavoritesButtonProps) {
        return (
        // eslint-disable-next-line react/button-has-type
        react_1.default.createElement("button", Object.assign({}, getAddToFavoritesButtonProps(item, price)),
            react_1.default.createElement("svg", { width: '21', height: '21', viewBox: '0 0 24 24', strokeWidth: '2', strokeLinecap: 'round', strokeLinejoin: 'round' },
                react_1.default.createElement("path", { d: 'M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z' }))));
    }
    return null;
}
exports.default = ResultFavoritesButton;
