"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
function ResultFilters({ hasNoResults }) {
    var _a;
    const { state } = (0, react_1.useContext)(context_1.default);
    return (react_1.default.createElement("div", { className: 'cio-results-filter-container' },
        react_1.default.createElement("p", null, hasNoResults ? 'Your preferences' : 'Because you answered'),
        react_1.default.createElement("div", { className: 'cio-results-filter-options' }, (_a = state === null || state === void 0 ? void 0 : state.quiz.selectedOptionsWithAttributes) === null || _a === void 0 ? void 0 : _a.map((option) => (react_1.default.createElement("div", { className: 'cio-results-filter-option', key: option }, option))))));
}
exports.default = ResultFilters;
