"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const CTAButton_1 = tslib_1.__importDefault(require("../CTAButton/CTAButton"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
function ZeroResults() {
    const { getResetQuizButtonProps } = (0, react_1.useContext)(context_1.default);
    return (react_1.default.createElement("div", { className: 'cio-zero-results' },
        react_1.default.createElement("h3", { className: 'cio-zero-results-subtitle' }, "Sorry, we couldn\u2019t find products that perfectly match your preferences."),
        react_1.default.createElement(CTAButton_1.default, { ctaText: 'Retake Quiz', propsGetters: getResetQuizButtonProps })));
}
exports.default = ZeroResults;
