import React, { useContext } from 'react';
import BackButton from '../BackButton/BackButton';
import CTAButton from '../CTAButton/CTAButton';
import SkipButton from '../SkipButton/SkipButton';
import QuizContext from '../CioQuiz/context';
function ControlBar(props) {
    const { ctaButtonText } = props;
    const { getNextQuestionButtonProps, getSkipQuestionButtonProps } = useContext(QuizContext);
    return (React.createElement("div", { className: 'cio-question-buttons-container' },
        React.createElement(BackButton, null),
        React.createElement("div", { className: 'cio-question-buttons-group' },
            React.createElement(SkipButton, { propsGetters: getSkipQuestionButtonProps }),
            React.createElement(CTAButton, { ctaText: ctaButtonText, propsGetters: getNextQuestionButtonProps }))));
}
export default ControlBar;
