import { RequestStates } from '../../constants';
import { CurrentQuestion, NextQuestionResponse, QuizResultsResponse } from '../../types';
import { ActionQuizAPI } from './actions';
export type QuizAPIReducerState = {
    quizRequestState: RequestStates;
    quizCurrentQuestion?: CurrentQuestion;
    quizFirstQuestion?: NextQuestionResponse;
    quizResults?: QuizResultsResponse;
    selectedOptionsWithAttributes?: string[];
};
export declare const initialState: QuizAPIReducerState;
export default function apiReducer(state: QuizAPIReducerState, action: ActionQuizAPI): QuizAPIReducerState;
